<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>PdfGenerator</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PdfGenerator";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PdfGenerator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">presentation</a></div>
<h2 title="Class PdfGenerator" class="title">Class PdfGenerator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>presentation.PdfGenerator</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">PdfGenerator</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">PdfGenerator</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRows(com.itextpdf.text.pdf.PdfPTable,int,java.util.List)">addRows</a></span>&#8203;(com.itextpdf.text.pdf.PdfPTable&nbsp;table,
       int&nbsp;size,
       java.util.List&lt;T&gt;&nbsp;content)</code></th>
<td class="colLast">
<div class="block">Introduce randuri in tabelul creat</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addTableHeader(java.lang.String,com.itextpdf.text.pdf.PdfPTable,int)">addTableHeader</a></span>&#8203;(java.lang.String&nbsp;name,
              com.itextpdf.text.pdf.PdfPTable&nbsp;table,
              int&nbsp;size)</code></th>
<td class="colLast">
<div class="block">Creeaza header-urile pentru tabel.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createBill(model.Order,java.util.List,bll.ClientBLL,bll.ProductBLL)">createBill</a></span>&#8203;(<a href="../model/Order.html" title="class in model">Order</a>&nbsp;order,
          java.util.List&lt;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&gt;&nbsp;orderItem,
          <a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a>&nbsp;client,
          <a href="../bll/ProductBLL.html" title="class in bll">ProductBLL</a>&nbsp;product)</code></th>
<td class="colLast">
<div class="block">Creeaza o chitanta pentru o comanda.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTable(java.lang.String,int,java.util.List,int)">createTable</a></span>&#8203;(java.lang.String&nbsp;name,
           int&nbsp;size,
           java.util.List&lt;T&gt;&nbsp;content,
           int&nbsp;nr)</code></th>
<td class="colLast">
<div class="block">Creeaza un pdf in care se scrie tabelul</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createWarningPdf(java.lang.String,java.lang.String)">createWarningPdf</a></span>&#8203;(java.lang.String&nbsp;name,
                java.lang.String&nbsp;mesaj)</code></th>
<td class="colLast">
<div class="block">Creeaza un fisier in format pdf ce contine mesajele de warning in cazul in 
 care ceva nu a mers bine in timpul comenzii de ORDER</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PdfGenerator</h4>
<pre>public&nbsp;PdfGenerator()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addTableHeader(java.lang.String,com.itextpdf.text.pdf.PdfPTable,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTableHeader</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addTableHeader&#8203;(java.lang.String&nbsp;name,
                           com.itextpdf.text.pdf.PdfPTable&nbsp;table,
                           int&nbsp;size)</pre>
<div class="block">Creeaza header-urile pentru tabel.
 In functie de clasa se scriu atributele corespunzatoare</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - - numele clasei pentru care se face tabelul</dd>
<dd><code>table</code> - - tabelul in care sa se includa header-urile</dd>
<dd><code>size</code> - - numarul de coloane pe care sa-l contina tabelul</dd>
</dl>
</li>
</ul>
<a id="addRows(com.itextpdf.text.pdf.PdfPTable,int,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRows</h4>
<pre class="methodSignature">public&nbsp;&lt;T&gt;&nbsp;void&nbsp;addRows&#8203;(com.itextpdf.text.pdf.PdfPTable&nbsp;table,
                        int&nbsp;size,
                        java.util.List&lt;T&gt;&nbsp;content)</pre>
<div class="block">Introduce randuri in tabelul creat</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - - se foloseste tehnica "reflection" pentru ca metoda sa fie folosita de toate clasele</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>table</code> - - refernat la tabel</dd>
<dd><code>size</code> - - numarul de coloane din tabel</dd>
<dd><code>content</code> - - lista de elemente pe care le vom introduce in tabel</dd>
</dl>
</li>
</ul>
<a id="createTable(java.lang.String,int,java.util.List,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTable</h4>
<pre class="methodSignature">public&nbsp;&lt;T&gt;&nbsp;void&nbsp;createTable&#8203;(java.lang.String&nbsp;name,
                            int&nbsp;size,
                            java.util.List&lt;T&gt;&nbsp;content,
                            int&nbsp;nr)</pre>
<div class="block">Creeaza un pdf in care se scrie tabelul</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - - se foloseste tehnica "reflection" pentru ca metoda sa fie folosita de toate clasele</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - - numele clasei pentru care se face fisierul, folosit pentru denumirea lui</dd>
<dd><code>size</code> - - numarul de coloane pe care sa-l aiba tabelul</dd>
<dd><code>content</code> - - elemente cu care este populat tabelul</dd>
<dd><code>nr</code> - - un numar folosit la denumirea fisierului</dd>
</dl>
</li>
</ul>
<a id="createWarningPdf(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWarningPdf</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createWarningPdf&#8203;(java.lang.String&nbsp;name,
                             java.lang.String&nbsp;mesaj)</pre>
<div class="block">Creeaza un fisier in format pdf ce contine mesajele de warning in cazul in 
 care ceva nu a mers bine in timpul comenzii de ORDER</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - - numele clientului care a facut comanda</dd>
<dd><code>mesaj</code> - - mesajul ce va fi scris in fisier</dd>
</dl>
</li>
</ul>
<a id="createBill(model.Order,java.util.List,bll.ClientBLL,bll.ProductBLL)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createBill</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createBill&#8203;(<a href="../model/Order.html" title="class in model">Order</a>&nbsp;order,
                       java.util.List&lt;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&gt;&nbsp;orderItem,
                       <a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a>&nbsp;client,
                       <a href="../bll/ProductBLL.html" title="class in bll">ProductBLL</a>&nbsp;product)</pre>
<div class="block">Creeaza o chitanta pentru o comanda. Contine numarul comenzii , numele clientului , precum si 
 numele produselor, canitatea acestora si pretul pentru fiecare produs, precum si cel total</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>order</code> - - Obiectul de tip Order, ce contine datele despre comanda</dd>
<dd><code>orderItem</code> - - O lisat de obiecte de tip OrderItem corespunzatoare id-ului comenzii. Contine
 date despre canrtitatea fiecarui produs cumparat</dd>
<dd><code>client</code> - - obiectul de tip ClientBLL</dd>
<dd><code>product</code> - - pbiectul de tip ProductBLL</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PdfGenerator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
